.page-langing {
    width: 100vw;
    height: 100vh;
}

.page-langing .page-langing-primary {
    padding: 4rem;
    background-color: var(--color-primary);
    height: 50%;
    color: var(--color-text-in-primary);
}

.page-langing .page-langing-primary p {
    color: var(--color-text-in-primary);
}

.page-langing-secondary-msg {
    grid-area: msg;
}
.page-langing .page-langing-secondary {
    padding: 4rem;
    background-color: var(--color-background);
    height: 50%;

    display: grid;
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
            "msg msg"
            "buttons buttons"
            "total total"
        ;
}

.page-langing .page-langing-nav {
    display: flex;
    justify-content: space-between;
    height: 4rem;
}

.page-langing .page-langing-nav * {
    height: inherit;
}

.page-langing .page-langing-avatar a {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.page-langing .page-langing-avatar-img {
    border-radius: 0.8rem;
    background-color: var(--color-primary-dark);
    width: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.page-langing .page-langing-avatar p {
    margin-left: 1rem;
    height: auto;
}

.page-langing .page-langing-nav svg,
.page-langing .page-langing-nav img {
    width: inherit;
    padding: 0.5rem;
    border-radius: 50%;
}

.page-langing .page-langing-siginout {
    display: flex;
}

.page-langing-siginout-img {
    cursor: pointer;
}

.page-langing .page-langing-logo,
.page-langing .page-langing-logo img {
    display: none;
}

.page-langing .page-langing-header {
    display: flex;
    align-items: center;
    height: 100%;
}

.page-langing .page-langing-img {
    height: 100%;
    display: flex;
}

.page-langing .page-langing-img > img {
    width: 100%;
}

.page-langing .page-langing-signout {
    border-radius: 0.8rem;
    background-color: var(--color-primary-dark);
    height: 4rem;
    width: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.page-langing .page-langing-buttom-container {
    display: flex;
    justify-content: center;
    margin: 3.2rem 0;
    grid-area: buttons;
}

.page-langing .page-langing-buttom-container a {
    width: 25rem;
    height: 10rem;
    border-radius: 0.8rem;
    font: 700 2rem Archivo;

    display: flex;
    align-items: center;
    justify-content: center;

    text-decoration: none;
    color: var(--color-button-text);
    transition: background-color 0.2s;
}

.page-langing .page-langing-buttom-container a:first-child {
    margin-right: 1.6rem;
}

.page-langing .page-langing-buttom-container a img {
    width: 4rem;
}

.page-langing .page-langing-buttom-container a.study {
    background-color: var(--color-primary-lighter);
}

.page-langing .page-langing-buttom-container a.study:hover {
    background-color: var(--color-primary-light);
}

.page-langing .page-langing-buttom-container a.give-classes {
    background-color: var(--color-secondary);
}

.page-langing .page-langing-buttom-container a.give-classes:hover {
    background-color: var(--color-secondary-dark);
}

.page-langing .page-langing-total-connections {
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    line-height: 2rem;
    width: 150px;
    position: relative;
    grid-area: total;
}

.page-langing .page-langing-total-connections svg {
    color: var(--color-primary);
    position: absolute;
    bottom: 0.4rem;
    right: 50%;
}

@media (min-width: 1100px){
    .page-langing .page-langing-primary {
        padding: 4rem 15rem;
        background-color: var(--color-primary);
        flex:2;
    }
    .page-langing .page-langing-secondary {
        padding: 4rem 15rem;
        background-color: var(--color-background);
        flex: 1;
        display: grid;
            grid-template-rows: 1fr;
            grid-template-columns: 25% 1fr 1fr;
            grid-template-areas: 
                "msg total buttons"
            ;
        align-items: center;
    }

    .page-langing .page-langing-logo {
        display: inline;
    }
    .page-langing .page-langing-header p {
        font-size: 3rem;
        width: 70%;
    }

    .page-langing .page-langing-logo,
    .page-langing .page-langing-logo img {
        display: inline;
    }
    .page-langing .page-langing-total-connections svg {
        right: 45%;
    }

    .page-langing .page-langing-total-connections {
        text-align: start;
    }
}